2005-12-14  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Update package version number for final X11R7 release candidate.

2005-12-06  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* man/Makefile.am:
	Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

2005-12-03  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Update package version number for X11R7 RC3 release.

2005-12-02  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	* modules/im/ximcp/Makefile.am:
	Add check and cflags for malloc(0) returning NULL.
	* modules/lc/Utf8/Makefile.am:
	* modules/om/generic/Makefile.am:
	* src/Makefile.am:
	* src/xcms/Makefile.am:
	* src/xkb/Makefile.am:
	* src/xlibi18n/Makefile.am:

2005-11-19  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* x11.pc.in:
	Update pkgconfig files to separate library build-time dependencies
	from application build-time dependencies.
	* configure.ac:
	Update dependencies to work with separate build roots.

2005-11-14  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Fix xf86bigfont pkgconfig dep typo.

2005-11-09  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Update package version number for X11R7 RC2 release.

2005-11-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Update pkgcheck dependencies to work with separate build roots.

2005-10-28  Donnie Berkholz  <spyderous@gentoo.org>

	* configure.ac: Revert that, it's redundant. But it is worth noting that
	--disable-xkb is broken, if anyone cares.

2005-10-28  Donnie Berkholz  <spyderous@gentoo.org>

	* configure.ac: Add dependency on inputproto for XI.h.

2005-10-18  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Update package version number for RC1 release.

2005-10-15  Donnie Berkholz  <spyderous@gentoo.org>

	* configure.ac: Change '==' to portable '='.

2005-10-11  Alan Coopersmith  <alan.coopersmith@sun.com>

	* man/Makefile.am: 
	* configure.ac
	Use XORG_MAN_SECTIONS instead of custom man section configuration.
	Add shadow man pages for man pages that document multiple functions.
	
2005-10-10  Eric Anholt  <anholt@FreeBSD.org>

	* configure.ac:
	Add appropriate pthread libs/flags for FreeBSD, fixing the build of ico
	and probably others.

2005-10-07  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* nls/Makefile.am:
	* nls/localerules.in:
	Clean up generated files

	* src/util/Makefile.am:
	* src/xlibi18n/Makefile.am:
	Add missing dist tarball files

2005-09-30  Daniel Stone  <daniel@fooishbar.org>

	* nls/Makefile.am:
	Generate locale.alias and compose.dir exactly like we do in the monolith,
	which fixes non-UTF-8 locales in particular (so we get foo: bar, as well as
	foo bar).  Switch to generating locale.dir the same way.

2005-09-21  Alan Coopersmith  <alan.coopersmith@sun.com>

	* x11.pc.in: 
	* configure.ac:
	Add XTHREAD_CFLAGS for platforms that need special defines like
	-D_REENTRANT or -D_POSIX_whatever to get re-entrant function
	definitions.
	Set XDMCP_LIBS correctly for later libXdmcp tests.

2005-09-01  Kristian Høgsberg  <krh@redhat.com>

	* nls/C/Makefile.am:
	* nls/Makefile.am:
	* nls/armscii-8/Makefile.am:
	* nls/en_US.UTF-8/Makefile.am:
	* nls/georgian-academy/Makefile.am:
	* nls/georgian-ps/Makefile.am:
	* nls/ibm-cp1133/Makefile.am:
	* nls/iscii-dev/Makefile.am:
	* nls/isiri-3342/Makefile.am:
	* nls/iso8859-1/Makefile.am:
	* nls/iso8859-10/Makefile.am:
	* nls/iso8859-11/Makefile.am:
	* nls/iso8859-13/Makefile.am:
	* nls/iso8859-14/Makefile.am:
	* nls/iso8859-15/Makefile.am:
	* nls/iso8859-2/Makefile.am:
	* nls/iso8859-3/Makefile.am:
	* nls/iso8859-4/Makefile.am:
	* nls/iso8859-5/Makefile.am:
	* nls/iso8859-6/Makefile.am:
	* nls/iso8859-7/Makefile.am:
	* nls/iso8859-8/Makefile.am:
	* nls/iso8859-9/Makefile.am:
	* nls/iso8859-9e/Makefile.am:
	* nls/ja.JIS/Makefile.am:
	* nls/ja.S90/Makefile.am:
	* nls/ja.SJIS/Makefile.am:
	* nls/ja.U90/Makefile.am:
	* nls/ja/Makefile.am:
	* nls/ja_JP.UTF-8/Makefile.am:
	* nls/ko/Makefile.am:
	* nls/ko_KR.UTF-8/Makefile.am:
	* nls/koi8-c/Makefile.am:
	* nls/koi8-r/Makefile.am:
	* nls/koi8-u/Makefile.am:
	* nls/microsoft-cp1251/Makefile.am:
	* nls/microsoft-cp1255/Makefile.am:
	* nls/microsoft-cp1256/Makefile.am:
	* nls/mulelao-1/Makefile.am:
	* nls/nokhchi-1/Makefile.am:
	* nls/pt_BR.UTF-8/Makefile.am:
	* nls/tatar-cyr/Makefile.am:
	* nls/th_TH.UTF-8/Makefile.am:
	* nls/th_TH/Makefile.am:
	* nls/tscii-0/Makefile.am:
	* nls/vi_VN.tcvn/Makefile.am:
	* nls/vi_VN.viscii/Makefile.am:
	* nls/zh_CN.UTF-8/Makefile.am:
	* nls/zh_CN.gb18030/Makefile.am:
	* nls/zh_CN.gbk/Makefile.am:
	* nls/zh_CN/Makefile.am:
	* nls/zh_HK.UTF-8/Makefile.am:
	* nls/zh_HK.big5/Makefile.am:
	* nls/zh_HK.big5hkscs/Makefile.am:
	* nls/zh_TW.UTF-8/Makefile.am:
	* nls/zh_TW.big5/Makefile.am:
	* nls/zh_TW/Makefile.am:

	Use $(X11_LOCALEDATADIR) instead of @X11_LOCALEDATADIR@ so this
	install destination can be overridden at make install time.

2005-08-21  Matthieu Herrb <matthieu.herrb@laas.fr>

	* configure.ac:
	* src/Makefile.am:
	Threads support for BSD systems: 
	- add a test if USE_MT_SAFE_API should be defined
	- build UIThrStubs if needed. 

2005-08-17  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	* x11.pc.in:
	Add xthreadlib variable to x11.pc.  Bump to 0.99.1.

2005-07-14  Keith Packard  <keithp@keithp.com>

	* Makefile.am:
	* configure.ac:
	* modules/im/ximcp/Makefile.am:
	* modules/lc/Utf8/Makefile.am:
	* modules/lc/def/Makefile.am:
	* modules/lc/gen/Makefile.am:
	* modules/lc/xlocale/Makefile.am:
	* modules/om/generic/Makefile.am:
	* src/xlibi18n/Makefile.am:
	Move i18n modules to top-level so they can be
	built in the right order (before xlib for non-loadable,
	after xlib for loadable).
	Link i18n modules against xlib to resolve Xlib symbols
	used by them.

2005-07-11  Keith Packard  <keithp@keithp.com>

	* src/xcms/Makefile.am:
	* src/xkb/Makefile.am:
	* src/xlibi18n/Makefile.am:
	* src/xlibi18n/im/ximcp/Makefile.am:
	* src/xlibi18n/lc/Utf8/Makefile.am:
	* src/xlibi18n/lc/def/Makefile.am:
	* src/xlibi18n/lc/gen/Makefile.am:
	* src/xlibi18n/lc/xlocale/Makefile.am:
	* src/xlibi18n/om/generic/Makefile.am:
	Ammend AM_CFLAGS with all needed includes;
	cannot figure out an easy way to automate this.

2005-07-11  Keith Packard  <keithp@keithp.com>

	* man/.cvsignore:
	Ignore built man page files

2005-07-11  Keith Packard  <keithp@keithp.com>

	* configure.ac:
	* cpprules.in:
	* man/Makefile.am:
	* nls/C/Makefile.am:
	* nls/Makefile.am:
	* nls/armscii-8/Makefile.am:
	* nls/en_US.UTF-8/Makefile.am:
	* nls/georgian-academy/Makefile.am:
	* nls/georgian-ps/Makefile.am:
	* nls/ibm-cp1133/Makefile.am:
	* nls/iscii-dev/Makefile.am:
	* nls/isiri-3342/Makefile.am:
	* nls/iso8859-1/Makefile.am:
	* nls/iso8859-10/Makefile.am:
	* nls/iso8859-11/Makefile.am:
	* nls/iso8859-13/Makefile.am:
	* nls/iso8859-14/Makefile.am:
	* nls/iso8859-15/Makefile.am:
	* nls/iso8859-2/Makefile.am:
	* nls/iso8859-3/Makefile.am:
	* nls/iso8859-4/Makefile.am:
	* nls/iso8859-5/Makefile.am:
	* nls/iso8859-6/Makefile.am:
	* nls/iso8859-7/Makefile.am:
	* nls/iso8859-8/Makefile.am:
	* nls/iso8859-9/Makefile.am:
	* nls/iso8859-9e/Makefile.am:
	* nls/ja.JIS/Makefile.am:
	* nls/ja.S90/Makefile.am:
	* nls/ja.SJIS/Makefile.am:
	* nls/ja.U90/Makefile.am:
	* nls/ja/Makefile.am:
	* nls/ja_JP.UTF-8/Makefile.am:
	* nls/ko/Makefile.am:
	* nls/ko_KR.UTF-8/Makefile.am:
	* nls/koi8-c/Makefile.am:
	* nls/koi8-r/Makefile.am:
	* nls/koi8-u/Makefile.am:
	* nls/microsoft-cp1251/Makefile.am:
	* nls/microsoft-cp1255/Makefile.am:
	* nls/microsoft-cp1256/Makefile.am:
	* nls/mulelao-1/Makefile.am:
	* nls/nokhchi-1/Makefile.am:
	* nls/pt_BR.UTF-8/Makefile.am:
	* nls/tatar-cyr/Makefile.am:
	* nls/th_TH.UTF-8/Makefile.am:
	* nls/th_TH/Makefile.am:
	* nls/tscii-0/Makefile.am:
	* nls/vi_VN.tcvn/Makefile.am:
	* nls/vi_VN.viscii/Makefile.am:
	* nls/zh_CN.UTF-8/Makefile.am:
	* nls/zh_CN.gb18030/Makefile.am:
	* nls/zh_CN.gbk/Makefile.am:
	* nls/zh_CN/Makefile.am:
	* nls/zh_HK.UTF-8/Makefile.am:
	* nls/zh_HK.big5/Makefile.am:
	* nls/zh_HK.big5hkscs/Makefile.am:
	* nls/zh_TW.UTF-8/Makefile.am:
	* nls/zh_TW.big5/Makefile.am:
	* nls/zh_TW/Makefile.am:
	* src/Makefile.am:
	* src/xcms/.cvsignore:
	* src/xcms/Makefile.am:
	* src/xim_trans.c:
	* src/xkb/.cvsignore:
	* src/xkb/Makefile.am:
	* src/xlibi18n/.cvsignore:
	* src/xlibi18n/Makefile.am:
	* src/xlibi18n/im/.cvsignore:
	* src/xlibi18n/im/Makefile.am:
	* src/xlibi18n/im/ximcp/.cvsignore:
	* src/xlibi18n/im/ximcp/Makefile.am:
	* src/xlibi18n/lc/.cvsignore:
	* src/xlibi18n/lc/Makefile.am:
	* src/xlibi18n/lc/Utf8/.cvsignore:
	* src/xlibi18n/lc/Utf8/Makefile.am:
	* src/xlibi18n/lc/def/.cvsignore:
	* src/xlibi18n/lc/def/Makefile.am:
	* src/xlibi18n/lc/gen/.cvsignore:
	* src/xlibi18n/lc/gen/Makefile.am:
	* src/xlibi18n/lc/xlocale/.cvsignore:
	* src/xlibi18n/lc/xlocale/Makefile.am:
	* src/xlibi18n/om/.cvsignore:
	* src/xlibi18n/om/Makefile.am:
	* src/xlibi18n/om/generic/.cvsignore:
	* src/xlibi18n/om/generic/Makefile.am:
	* src/xlibi18n/xim_trans.c:
	
	Enable loadable i18n modules, making them 
	configurable on the configure command line.
	
	Clean up conditionals for XKB, XCMS, XLOCALEDIR

	Create new lib directory for locale modules
	in ${X11_LIBDIR}/locale/lib. Add this to the
	default XLOCALEDIR search path.

	Create separate X11_LOCALEDATADIR variable
	pointing at ${datadir}/X11/locale for
	installing locale data.

	Split out xcms, xkb, xlibi18n sources from
	main xlib bits so they can be conditionally included
	more easily. Lots of source files have been moved
	with this step; the result seems like it might
	be easier to maintain.

	Display message at end of configure script with
	selected options.
	
	Fix manual building with cpp to add -traditional
	in cpprules.in. This isn't conditionalized at all,
	so it will break on systems not using GNU cpp.

2005-07-08  Keith Packard  <keithp@keithp.com>

	* .cvsignore:
	* include/.cvsignore:
	* include/X11/.cvsignore:
	* man/.cvsignore:
	* nls/.cvsignore:
	* src/.cvsignore:
	Clean up .cvsignore files

2005-07-07  Keith Packard  <keithp@keithp.com>

	* configure.ac:
	* include/Makefile.am:
	* include/X11/XlibConf.h.in:
	Create and install XlibConf.h to provide external
	users of Xlibint.h the defines necessary to correctly
	use the library. Xlibint.h should #include this new
	file.

	* nls/.cvsignore:
	* nls/C/.cvsignore:
	* nls/armscii-8/.cvsignore:
	* nls/en_US.UTF-8/.cvsignore:
	* nls/georgian-academy/.cvsignore:
	* nls/georgian-ps/.cvsignore:
	* nls/ibm-cp1133/.cvsignore:
	* nls/iscii-dev/.cvsignore:
	* nls/isiri-3342/.cvsignore:
	* nls/iso8859-1/.cvsignore:
	* nls/iso8859-10/.cvsignore:
	* nls/iso8859-11/.cvsignore:
	* nls/iso8859-13/.cvsignore:
	* nls/iso8859-14/.cvsignore:
	* nls/iso8859-15/.cvsignore:
	* nls/iso8859-2/.cvsignore:
	* nls/iso8859-3/.cvsignore:
	* nls/iso8859-4/.cvsignore:
	* nls/iso8859-5/.cvsignore:
	* nls/iso8859-6/.cvsignore:
	* nls/iso8859-7/.cvsignore:
	* nls/iso8859-8/.cvsignore:
	* nls/iso8859-9/.cvsignore:
	* nls/iso8859-9e/.cvsignore:
	* nls/ja.JIS/.cvsignore:
	* nls/ja.S90/.cvsignore:
	* nls/ja.SJIS/.cvsignore:
	* nls/ja.U90/.cvsignore:
	* nls/ja/.cvsignore:
	* nls/ja_JP.UTF-8/.cvsignore:
	* nls/ko/.cvsignore:
	* nls/ko_KR.UTF-8/.cvsignore:
	* nls/koi8-c/.cvsignore:
	* nls/koi8-r/.cvsignore:
	* nls/koi8-u/.cvsignore:
	* nls/microsoft-cp1251/.cvsignore:
	* nls/microsoft-cp1255/.cvsignore:
	* nls/microsoft-cp1256/.cvsignore:
	* nls/mulelao-1/.cvsignore:
	* nls/nokhchi-1/.cvsignore:
	* nls/pt_BR.UTF-8/.cvsignore:
	* nls/tatar-cyr/.cvsignore:
	* nls/th_TH.UTF-8/.cvsignore:
	* nls/th_TH/.cvsignore:
	* nls/tscii-0/.cvsignore:
	* nls/vi_VN.tcvn/.cvsignore:
	* nls/vi_VN.viscii/.cvsignore:
	* nls/zh_CN.UTF-8/.cvsignore:
	* nls/zh_CN.gb18030/.cvsignore:
	* nls/zh_CN.gbk/.cvsignore:
	* nls/zh_CN/.cvsignore:
	* nls/zh_HK.UTF-8/.cvsignore:
	* nls/zh_HK.big5/.cvsignore:
	* nls/zh_HK.big5hkscs/.cvsignore:
	* nls/zh_TW.UTF-8/.cvsignore:
	* nls/zh_TW.big5/.cvsignore:
	* nls/zh_TW/.cvsignore:
	* src/.cvsignore:
	* src/util/.cvsignore:
	Add a bunch of .cvsignore files

2005-07-03  Eric Anholt  <anholt@FreeBSD.org>

	* nls/*/Makefile.am:
	Avoid a gmake-specific construct, and instead just write the name of
	the current directory into each Makefile.am.

2005-07-02  Daniel Stone  <daniel@freedesktop.org>

	Fix objdir != srcdir, as well as make distcheck.
	
	* nls/*/Makefile.am:
	Don't attempt to create Compose.pre files; formatting fixes.

	* nls/*/Compose.pre:
	Added if not already present.

2005-06-22  Theo van Klaveren  <t.vanklaveren@student.utwente.nl>

	Fix make distcheck.

	* nls/Makefile.am: Also dist compose.dir.pre, clean some more files.
	* nls/*/Makefile.am: Fix builddir != srcdir builds.
	* src/Makefile.am: Remove some non-existant files.

2005-06-15  Daniel Stone  <daniel@freedesktop.org>

	* configure.ac:
	* acinclude.m4:
	Define locations for XErrorDB, XKeysymDB, and locale data in
	configure.ac.  Add AC_DEFINE_DIR macro from autoconf-archive.cryp.to
	towards this end.

	* src/Makefile.am:
	* include/Makefile.am:
	Move ImUtil.h from src/ to include/X11/.

2005-06-09  Alexander Gottwald <ago@freedesktop.org>

	* nls/Makefile.am:
	* nls/C/Makefile.am:
	* nls/armscii-8/Makefile.am:
	* nls/en_US.UTF-8/Makefile.am:
	* nls/georgian-academy/Makefile.am:
	* nls/georgian-ps/Makefile.am:
	* nls/ibm-cp1133/Makefile.am:
	* nls/iscii-dev/Makefile.am:
	* nls/isiri-3342/Makefile.am:
	* nls/iso8859-1/Makefile.am:
	* nls/iso8859-10/Makefile.am:
	* nls/iso8859-11/Makefile.am:
	* nls/iso8859-13/Makefile.am:
	* nls/iso8859-14/Makefile.am:
	* nls/iso8859-15/Makefile.am:
	* nls/iso8859-2/Makefile.am:
	* nls/iso8859-3/Makefile.am:
	* nls/iso8859-4/Makefile.am:
	* nls/iso8859-5/Makefile.am:
	* nls/iso8859-6/Makefile.am:
	* nls/iso8859-7/Makefile.am:
	* nls/iso8859-8/Makefile.am:
	* nls/iso8859-9/Makefile.am:
	* nls/iso8859-9e/Makefile.am:
	* nls/ja/Makefile.am:
	* nls/ja.JIS/Makefile.am:
	* nls/ja.S90/Makefile.am:
	* nls/ja.SJIS/Makefile.am:
	* nls/ja.U90/Makefile.am:
	* nls/ja_JP.UTF-8/Makefile.am:
	* nls/ko/Makefile.am:
	* nls/ko_KR.UTF-8/Makefile.am:
	* nls/koi8-c/Makefile.am:
	* nls/koi8-r/Makefile.am:
	* nls/koi8-u/Makefile.am:
	* nls/microsoft-cp1251/Makefile.am:
	* nls/microsoft-cp1255/Makefile.am:
	* nls/microsoft-cp1256/Makefile.am:
	* nls/mulelao-1/Makefile.am:
	* nls/nokhchi-1/Makefile.am:
	* nls/pt_BR.UTF-8/Makefile.am:
	* nls/tatar-cyr/Makefile.am:
	* nls/th_TH/Makefile.am:
	* nls/th_TH.UTF-8/Makefile.am:
	* nls/tscii-0/Makefile.am:
	* nls/vi_VN.tcvn/Makefile.am:
	* nls/vi_VN.viscii/Makefile.am:
	* nls/zh_CN/Makefile.am:
	* nls/zh_CN.UTF-8/Makefile.am:
	* nls/zh_CN.gb18030/Makefile.am:
	* nls/zh_CN.gbk/Makefile.am:
	* nls/zh_HK.UTF-8/Makefile.am:
	* nls/zh_HK.big5/Makefile.am:
	* nls/zh_HK.big5hkscs/Makefile.am:
	* nls/zh_TW/Makefile.am:
	* nls/zh_TW.UTF-8/Makefile.am:
	* nls/zh_TW.big5/Makefile.am:
	Use $(srcdir) for Compose.pre and XLC_LOCALE.pre

2005-06-09  Alexander Gottwald <ago@freedesktop.org>

	* src/x11_trans.c:
	* src/xim_trans.c: 
	Replace <X11/transport.c> with <X11/Xtrans/transport.c>

2005-06-04  Alan Coopersmith  <alan.coopersmith@sun.com>

	* configure.ac: 
	Port Imake flags to autoconf tests & --enable-* flags:
	HASSETUGID, HASGETRESUID, NO_XLOCALEDIR, 
	HAS_SHM and XF86BIGFONT 
	
2005-06-04  Alan Coopersmith  <alan.coopersmith@sun.com>

	* configure.ac: 
	Add --enable-secure-rpc flag and checks for needed functions for
	Secure RPC ("SUN-DES-1") authentication method

2005-05-27  Matthieu Herrb  <matthieu.herrb@laas.fr>

	* nls/C/Makefile.am:
	* nls/Makefile.am:
	* nls/armscii-8/Makefile.am:
	* nls/en_US.UTF-8/Makefile.am:
	* nls/georgian-academy/Makefile.am:
	* nls/georgian-ps/Makefile.am:
	* nls/ibm-cp1133/Makefile.am:
	* nls/iscii-dev/Makefile.am:
	* nls/isiri-3342/Makefile.am:
	* nls/iso8859-1/Makefile.am:
	* nls/iso8859-10/Makefile.am:
	* nls/iso8859-11/Makefile.am:
	* nls/iso8859-13/Makefile.am:
	* nls/iso8859-14/Makefile.am:
	* nls/iso8859-15/Makefile.am:
	* nls/iso8859-2/Makefile.am:
	* nls/iso8859-3/Makefile.am:
	* nls/iso8859-4/Makefile.am:
	* nls/iso8859-5/Makefile.am:
	* nls/iso8859-6/Makefile.am:
	* nls/iso8859-7/Makefile.am:
	* nls/iso8859-8/Makefile.am:
	* nls/iso8859-9/Makefile.am:
	* nls/iso8859-9e/Makefile.am:
	* nls/ja.JIS/Makefile.am:
	* nls/ja.S90/Makefile.am:
	* nls/ja.SJIS/Makefile.am:
	* nls/ja.U90/Makefile.am:
	* nls/ja/Makefile.am:
	* nls/ja_JP.UTF-8/Makefile.am:
	* nls/ko/Makefile.am:
	* nls/ko_KR.UTF-8/Makefile.am:
	* nls/koi8-c/Makefile.am:
	* nls/koi8-r/Makefile.am:
	* nls/koi8-u/Makefile.am:
	* nls/microsoft-cp1251/Makefile.am:
	* nls/microsoft-cp1255/Makefile.am:
	* nls/microsoft-cp1256/Makefile.am:
	* nls/mulelao-1/Makefile.am:
	* nls/nokhchi-1/Makefile.am:
	* nls/pt_BR.UTF-8/Makefile.am:
	* nls/tatar-cyr/Makefile.am:
	* nls/th_TH.UTF-8/Makefile.am:
	* nls/th_TH/Makefile.am:
	* nls/tscii-0/Makefile.am:
	* nls/vi_VN.tcvn/Makefile.am:
	* nls/vi_VN.viscii/Makefile.am:
	* nls/zh_CN.UTF-8/Makefile.am:
	* nls/zh_CN.gb18030/Makefile.am:
	* nls/zh_CN.gbk/Makefile.am:
	* nls/zh_CN/Makefile.am:
	* nls/zh_HK.UTF-8/Makefile.am:
	* nls/zh_HK.big5/Makefile.am:
	* nls/zh_HK.big5hkscs/Makefile.am:
	* nls/zh_TW.UTF-8/Makefile.am:
	* nls/zh_TW.big5/Makefile.am:
	* nls/zh_TW/Makefile.am:
	Don't use $< in explicit rules. This only works with GNU make.
	<https://bugs.freedesktop.org/show_bug.cgi?id=3383>

2005-05-22  Alan Coopersmith  <alan.coopersmith@sun.com>

	* man/Makefile.am: Convert man pages to long file names.

2005-05-21  Alan Coopersmith  <alan.coopersmith@sun.com>

	* configure.ac: Moved transport type checks to new macro
	XTRANS_CONNECTION_FLAGS in xtrans.m4 in xtrans module so they can
	be shared by all modules using xtrans.
	
2005-05-20  Alan Coopersmith  <alan.coopersmith@sun.com>

	* configure.ac: Quote $ac_cv_search_* variables to prevent errors
	from test when they are set to "none required" (as happens on Solaris
	since dlopen is in libc)

	* util/src/Makefile.am: Comment out "override CC = gcc" line as it
	breaks builds with non-GNU makes, and its incorrect to force a 
	specific compiler.  Change LINK line from gcc to $(CC).

Tue May 17 18:31:08 2005  Søren Sandmann  <sandmann@redhat.com>

	* configure.ac (XPROTO_LIBS): Check for xproto as its CFLAGS are
	needed in the .pc file

2005-05-16    <ssp@aware-of-vacuity.boston.redhat.com>

	* configure.ac: Make Xdmcp unconditionally required, require various 
	protocol modules.

Mon May 16 17:48:03 2005  Søren Sandmann  <sandmann@redhat.com>

	* configure.ac: Check for kbproto if using XKB.

2005-05-16    <ssp@aware-of-vacuity.boston.redhat.com>

	* configure.ac: Require xextproto rather than xextensions

	* ChangeLog: Remove the entries from the xlibs tree, as they are
	not relevant here.
